Project

General

Profile

Bug #48463

mon.c: Error: invalid config provided: CapAdd and privileged are mutually exclusive options

Added by Sebastian Wagner 3 months ago. Updated 3 months ago.

Status:
Duplicate
Priority:
Urgent
Assignee:
-
Category:
cephadm
Target version:
-
% Done:

0%

Source:
Q/A
Tags:
Backport:
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Pull request ID:
Crash signature:

Description

https://pulpito.ceph.com/swagner-2020-12-04_10:02:29-rados:cephadm-wip-jmolmo-testing-2020-12-02-1452-distro-basic-smithi/5680473/

['/bin/podman', 'run', '--rm', '--net=host', '-e', 'CONTAINER_IMAGE=docker.io/ceph/ceph:v15.2.0', '-e', 'NODE_NAME=smithi135', '-v', '/var/log/ceph/c4502caa-3619-11eb-980d-001a4
aab830c:/var/log/ceph:z', '-v', '/tmp/ceph-tmpr_67xdiq:/etc/ceph/ceph.client.admin.keyring:z', '-v', '/tmp/ceph-tmpl0cckyum:/etc/ceph/ceph.conf:z', '-v', '/var/lib/ceph/c4502caa-3619-11eb-980d-001a4aab830c/mon.a:/var/lib/ceph/mon/ceph-a:z', '--entrypoint', '/usr
/bin/ceph', 'docker.io/ceph/ceph:v15.2.0', 'config', 'generate-minimal-conf', '-o', '/var/lib/ceph/mon/ceph-a/config']

Turns out, we're now installing podman 2 and then strting the upgrade from 15.2.0, which does not support podman 2.


Related issues

Related to Orchestrator - Bug #48142: rados:cephadm/upgrade/mon_election tests are failing: CapAdd and privileged are mutually exclusive options Pending Backport

History

#2 Updated by Sebastian Wagner 3 months ago

  • Related to Bug #48142: rados:cephadm/upgrade/mon_election tests are failing: CapAdd and privileged are mutually exclusive options added

#3 Updated by Sebastian Wagner 3 months ago

  • Status changed from New to Duplicate

Also available in: Atom PDF